=== debian/changelog ===
kio-extras (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:16 +0100

kio-extras (4:22.12.2-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sun, 05 Feb 2023 09:26:32 +0100

kio-extras (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Add/update Albert Astals Cid’s master key in upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:04:22 +0100

kio-extras (4:22.12.0-4) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Add appimage support on linux architectures.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 27 Dec 2022 14:56:45 +0100

kio-extras (4:22.12.0-3) unstable; urgency=medium

  [ Pino Toscano ]
  * Drop the old kactivities breaks/replaces, as that binary package does not
    even exists.
  * Update standards version to 4.6.2, no changes needed.
  * Add the libxcursor-dev build dependency to enable the thumbnails for X11
    cursors. (Closes: #1024415)

  [ Aurélien COUDERC ]
  * Add libkf5kexiv2-dev build dependency for JPEG thumbnails support.

 -- Pino Toscano <pino@debian.org>  Sat, 24 Dec 2022 13:02:34 +0100

kio-extras (4:22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:43 +0100

kio-extras (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Added myself to the uploaders.
  * New upstream release (22.11.90).
  * New upstream release (22.12.0).
  * Review copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:12:58 +0100
