## kio-extras 23.08.0a

=== debian/changelog ===
kio-extras (4:23.08.0a-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:54:55 +0100

kio-extras (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:34:41 +0100

kio-extras (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:48:12 +0100

kio-extras (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)
  * Update build depends:
    - add libimobiledevice-dev
    - add libplist-dev

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:57:35 +0100

kio-extras (4:22.12.3-0ubuntu2) lunar; urgency=medium

  * Correct libappimage minimum version.

 -- Rik Mills <rikmills@kde.org>  Sun, 05 Mar 2023 19:33:10 +0000

kio-extras (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:38:49 +0000

kio-extras (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:17:59 -0600

kio-extras (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:15:31 +0000

kio-extras (4:22.12.0-4ubuntu2) lunar; urgency=medium

  * Rebuild against new libappimage.

 -- Rik Mills <rikmills@kde.org>  Fri, 30 Dec 2022 20:20:42 +0000

kio-extras (4:22.12.0-4ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build dpend on libkf5kexiv2-dev (>= 22.12.0~)

 -- Rik Mills <rikmills@kde.org>  Fri, 30 Dec 2022 08:20:27 +0000

kio-extras (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:10:05 +0000

kio-extras (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:06:23 +0000

kio-extras (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:51:04 +0000

kio-extras (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:09:44 +0000
