=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kio-extras
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Pino Toscano <pino@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -12,6 +13,7 @@
                gperf,
                kio,
                libappimage-dev (>= 0.1.10~) [linux-any],
+               libimobiledevice-dev,
                libkdsoap-dev (>= 1.9.0~),
                libkf5activities-dev (>= 5.3.0~),
                libkf5activitiesstats-dev (>= 5.96.0~),
@@ -27,7 +29,7 @@
                libkf5guiaddons-dev (>= 5.96.0~),
                libkf5i18n-dev (>= 5.96.0~),
                libkf5iconthemes-dev (>= 5.72.0~),
-               libkf5kexiv2-dev,
+               libkf5kexiv2-dev (>= 23.08.0~),
                libkf5kio-dev (>= 5.96.0~),
                libkf5pty-dev (>= 5.72.0~),
                libkf5solid-dev (>= 5.96.0~),
@@ -36,6 +38,7 @@
                libopenexr-dev (>= 3.0~),
                libphonon4qt5-dev (>= 4:4.6.60),
                libphonon4qt5experimental-dev,
+               libplist-dev,
                libqt5svg5-dev (>= 5.15.2~),
                libsmbclient-dev,
                libssh-dev (>= 0.8.3~),
@@ -47,8 +50,8 @@
                shared-mime-info (>= 1.3~),
 Standards-Version: 4.6.2
 Homepage: https://projects.kde.org/projects/kde/workspace/kio-extras
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kio-extras
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kio-extras.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio-extras
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio-extras
 Rules-Requires-Root: no
 
 Package: kio-extras
@@ -67,9 +70,9 @@
 
 Package: kio-extras-data
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends},
-Breaks: kio-mtp (<< 0.75+git20140304-1ubuntu1~),
-Replaces: kio-mtp (<< 0.75+git20140304-1ubuntu1~),
+Depends: ${misc:Depends}, ${perl:Depends}
+Breaks: kio-mtp (<< 0.75+git20140304-1ubuntu1~)
+Replaces: kio-mtp (<< 0.75+git20140304-1ubuntu1~)
 Description: Extra functionality for kioslaves data files.
  A kioslave is a plugin designed to be intimately familiar with a certain
  protocol, so that a standardized interface can be used to get at data from
