=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
                libkf5guiaddons-dev (>= 5.96.0~),
                libkf5i18n-dev (>= 5.96.0~),
                libkf5iconthemes-dev (>= 5.72.0~),
-               libkf5kexiv2-dev (>= 23.08.0~),
+               libkf5kexiv2-dev (>= 23.08.1~),
                libkf5kio-dev (>= 5.96.0~),
                libkf5pty-dev (>= 5.72.0~),
                libkf5solid-dev (>= 5.96.0~),
