## kio-extras 23.08.4

=== debian/changelog ===
kio-extras (4:23.08.4-1ubuntu1) noble; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.
    - Optional build depend on libkf5kexiv2-dev for jpg thumbnailing.

 -- Rik Mills <rikmills@kde.org>  Sat, 16 Dec 2023 12:05:38 +0000

kio-extras (4:23.08.4-1) unstable; urgency=medium

  * Team upload.

  [ Jesse Rhodes ]
  * New upstream release (23.08.3).
  * New upstream release (23.08.4).
  * Update build-deps with info from cmake, including optional
    libimobiledevice-dev and libplist-dev to enable AFC worker (Closes:
    #1057801).

 -- Jesse Rhodes <jesse@sney.ca>  Sat, 09 Dec 2023 12:27:53 -0500

kio-extras (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:16:07 +0000

kio-extras (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:35:44 +0000

kio-extras (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:32:01 +0100
