=== debian/control ===
--- 
+++ 
@@ -8,36 +8,32 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
-               extra-cmake-modules (>= 5.96.0~),
+               extra-cmake-modules (>= 5.101.0~),
                gettext,
                gperf,
                kio,
                libappimage-dev (>= 0.1.10~) [linux-any],
                libimobiledevice-dev,
                libkdsoap-dev (>= 1.9.0~),
-               libkf5activities-dev (>= 5.3.0~),
-               libkf5activitiesstats-dev (>= 5.96.0~),
-               libkf5archive-dev (>= 5.96.0~),
-               libkf5bookmarks-dev (>= 5.96.0~),
-               libkf5codecs-dev,
-               libkf5config-dev (>= 5.96.0~),
-               libkf5configwidgets-dev (>= 5.96.0~),
-               libkf5coreaddons-dev (>= 5.96.0~),
-               libkf5dbusaddons-dev (>= 5.96.0~),
-               libkf5dnssd-dev (>= 5.96.0~),
-               libkf5doctools-dev (>= 5.96.0~),
-               libkf5guiaddons-dev (>= 5.96.0~),
-               libkf5i18n-dev (>= 5.96.0~),
-               libkf5iconthemes-dev (>= 5.72.0~),
-               libkf5kexiv2-dev (>= 23.08.1~),
-               libkf5kio-dev (>= 5.96.0~),
-               libkf5pty-dev (>= 5.72.0~),
-               libkf5solid-dev (>= 5.96.0~),
-               libkf5syntaxhighlighting-dev (>= 5.96.0~),
-               libmtp-dev,
+               libkf5activities-dev (>= 5.101.0~),
+               libkf5activitiesstats-dev (>= 5.101.0~),
+               libkf5archive-dev (>= 5.101.0~),
+               libkf5bookmarks-dev (>= 5.101.0~),
+               libkf5config-dev (>= 5.101.0~),
+               libkf5configwidgets-dev (>= 5.101.0~),
+               libkf5coreaddons-dev (>= 5.101.0~),
+               libkf5dbusaddons-dev (>= 5.101.0~),
+               libkf5dnssd-dev (>= 5.101.0~),
+               libkf5doctools-dev (>= 5.101.0~),
+               libkf5guiaddons-dev (>= 5.101.0~),
+               libkf5i18n-dev (>= 5.101.0~),
+               libkf5kexiv2-dev (>= 23.08.4~),
+               libkf5kio-dev (>= 5.101.0~),
+               libkf5solid-dev (>= 5.101.0~),
+               libkf5syntaxhighlighting-dev (>= 5.101.0~),
+               libmtp-dev (>= 1.1.2~),
                libopenexr-dev (>= 3.0~),
                libphonon4qt5-dev (>= 4:4.6.60),
-               libphonon4qt5experimental-dev,
                libplist-dev,
                libqt5svg5-dev (>= 5.15.2~),
                libsmbclient-dev,
@@ -70,9 +66,9 @@
 
 Package: kio-extras-data
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends}
-Breaks: kio-mtp (<< 0.75+git20140304-1ubuntu1~)
-Replaces: kio-mtp (<< 0.75+git20140304-1ubuntu1~)
+Depends: ${misc:Depends}, ${perl:Depends},
+Breaks: kio-mtp (<< 0.75+git20140304-1ubuntu1~),
+Replaces: kio-mtp (<< 0.75+git20140304-1ubuntu1~),
 Description: Extra functionality for kioslaves data files.
  A kioslave is a plugin designed to be intimately familiar with a certain
  protocol, so that a standardized interface can be used to get at data from
